Bug 443294

Summary: Using "Screen Edge" to change its position from vertical to horizontal will cause incorrect position of controls
Product: plasmashell Reporter: Fushan Wen <qydwhotmail>
Component: PanelAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: nate
Priority: NOR    
Version: master   
Target Milestone: 1.0   
Platform: openSUSE RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 5.24
Attachments: Controls

Description Fushan Wen 2021-10-04 12:17:22 UTC
Created attachment 142132 [details]
Controls

SUMMARY
When I drag a panel using "Screen Edge" and change its position from vertical to horizontal, the position of controls in the configuration bar is incorrect.

STEPS TO REPRODUCE
1. Right click on a vertical panel - Enter Edit Mode
2. Use "Screen Edge" to change its position to horizontal.

OBSERVED RESULT
See the attachment

EXPECTED RESULT


SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20210929
KDE Plasma Version: 5.23.80
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Kernel Version: 5.14.6-1-default (64-bit)
Graphics Platform: X11
Processors: 8 × AMD Ryzen 7 4700U with Radeon Graphics
Memory: 15.0 GiB of RAM
Graphics Processor: AMD RENOIR
Comment 1 Bug Janitor Service 2021-10-04 15:22:14 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/586
Comment 2 Nate Graham 2021-11-23 03:41:11 UTC
Git commit 628e04f5b5dd0e65b6a7669ad46db23709874f86 by Nate Graham, on behalf of Fushan Wen.
Committed on 23/11/2021 at 03:39.
Pushed by ngraham into branch 'master'.

Panel: Set ToolBar state in PanelConfiguration.qml

This prevents misalignment of controls in the toolbar.

M  +1    -0    desktoppackage/contents/configuration/PanelConfiguration.qml
M  +0    -1    desktoppackage/contents/configuration/panelconfiguration/ToolBar.qml

https://invent.kde.org/plasma/plasma-desktop/commit/628e04f5b5dd0e65b6a7669ad46db23709874f86
Comment 3 Nate Graham 2021-11-23 03:41:19 UTC
Git commit c9750c14dbc118266b09c66923e868ae1e421a64 by Nate Graham, on behalf of Fushan Wen.
Committed on 23/11/2021 at 03:39.
Pushed by ngraham into branch 'master'.

Use implicitWidth/implicitHeight of controls to calculate implicitWidth/implicitHeight of root

Do not use Layout's implicitWidth/implicitHeight as they are updated too late

M  +15   -2    desktoppackage/contents/configuration/panelconfiguration/ToolBar.qml

https://invent.kde.org/plasma/plasma-desktop/commit/c9750c14dbc118266b09c66923e868ae1e421a64
Comment 4 Bug Janitor Service 2022-01-24 11:32:53 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/818
Comment 5 Nate Graham 2022-01-24 19:01:04 UTC
Git commit e2c4267d36adff84b8bd581b06db0e0d2fec523d by Nate Graham, on behalf of Fushan Wen.
Committed on 24/01/2022 at 19:00.
Pushed by ngraham into branch 'master'.

panelconfiguration: Always show button text in ToolBar

We already always show the button text, so the property makes little sense
and it depends on so many other properties, which causes the controls in
ToolBar being placed in incorrect positions.
FIXED-IN: 5.24

M  +3    -26   desktoppackage/contents/configuration/panelconfiguration/ToolBar.qml

https://invent.kde.org/plasma/plasma-desktop/commit/e2c4267d36adff84b8bd581b06db0e0d2fec523d
Comment 6 Nate Graham 2022-01-24 19:01:12 UTC
Git commit 059c0564cc26331d046226bbffde928f3c1c42e8 by Nate Graham, on behalf of Fushan Wen.
Committed on 24/01/2022 at 19:00.
Pushed by ngraham into branch 'master'.

panelconfiguration: Remove layout height hack in ToolBar

The hack makes "More Options" button in a incorrect position in a
Wayland session. We can fix the original bug better by removing
`showText` property.
Related: bug 449026
FIXED-IN: 5.24

M  +0    -8    desktoppackage/contents/configuration/panelconfiguration/ToolBar.qml

https://invent.kde.org/plasma/plasma-desktop/commit/059c0564cc26331d046226bbffde928f3c1c42e8
Comment 7 Nate Graham 2022-01-24 19:02:15 UTC
Git commit 48db1735d3e12a4ca0bb12bb8d3f20060801bbea by Nate Graham, on behalf of Fushan Wen.
Committed on 24/01/2022 at 19:02.
Pushed by ngraham into branch 'Plasma/5.24'.

panelconfiguration: Remove layout height hack in ToolBar

The hack makes "More Options" button in a incorrect position in a
Wayland session. We can fix the original bug better by removing
`showText` property.
Related: bug 449026
FIXED-IN: 5.24


(cherry picked from commit 059c0564cc26331d046226bbffde928f3c1c42e8)

M  +0    -8    desktoppackage/contents/configuration/panelconfiguration/ToolBar.qml

https://invent.kde.org/plasma/plasma-desktop/commit/48db1735d3e12a4ca0bb12bb8d3f20060801bbea
Comment 8 Nate Graham 2022-01-24 19:13:36 UTC
Git commit 2077047eaeceec26998b8c40daccc2dc827cbc80 by Nate Graham, on behalf of Fushan Wen.
Committed on 24/01/2022 at 19:13.
Pushed by ngraham into branch 'Plasma/5.24'.

panelconfiguration: Always show button text in ToolBar

We already always show the button text, so the property makes little sense
and it depends on so many other properties, which causes the controls in
ToolBar being placed in incorrect positions.
FIXED-IN: 5.24

(cherry picked from commit e2c4267d36adff84b8bd581b06db0e0d2fec523d)

M  +3    -10   desktoppackage/contents/configuration/panelconfiguration/ToolBar.qml

https://invent.kde.org/plasma/plasma-desktop/commit/2077047eaeceec26998b8c40daccc2dc827cbc80